## org.gnu.gtk
Class AccelMap

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.gtk.AccelMap

public class AccelMap
extends Boxed

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Method Summary
`static AccelMap` `getAccelMap()`
`protected static void` `gtk_accel_map_add_entry(java.lang.String accelPath, int accelKey, int accelMods)`
`protected static void` `gtk_accel_map_add_filter(java.lang.String filterPattern)`
`protected static boolean` `gtk_accel_map_change_entry(java.lang.String accelPath, int accekKey, int accelMods, boolean replace)`
`protected static void` `gtk_accel_map_load_fd(int fd)`
`protected static void` `gtk_accel_map_load(java.lang.String fileName)`
`protected static void` `gtk_accel_map_lock_path(java.lang.String path)`
`protected static boolean` `gtk_accel_map_lookup_entry(java.lang.String accelPath, int key)`
`protected static void` `gtk_accel_map_save_fd(int fd)`
`protected static void` `gtk_accel_map_save(java.lang.String fileName)`
`protected static void` `gtk_accel_map_unlock_path(java.lang.String path)`
`static void` `load(java.lang.String filename)` Loads a file previously saved with the same method, parses the file for accelerator specifications, and propogates them accordingly.
`static void` `lockPath(java.lang.String path)`
`static void` `save(java.lang.String filename)` Saves the current accelerator specification (accelerator path, key, and modifiers) to the filename specified.
`static void` `unlockPath(java.lang.String path)`

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAccelMap

    public static AccelMap getAccelMap()

### load

    public static void load(java.lang.String filename)

  Loads a file previously saved with the same method, parses the file for accelerator specifications, and propogates them accordingly.

  Parameters:
    `filename` - The name of the file to read.

### save

    public static void save(java.lang.String filename)

  Saves the current accelerator specification (accelerator path, key, and modifiers) to the filename specified.

  Parameters:
    `filename` - The name of the file to write.

### lockPath

    public static void lockPath(java.lang.String path)

### unlockPath

    public static void unlockPath(java.lang.String path)

### gtk_accel_map_add_entry

    protected static final void gtk_accel_map_add_entry(java.lang.String accelPath,
                                                        int accelKey,
                                                        int accelMods)

### gtk_accel_map_lookup_entry

    protected static final boolean gtk_accel_map_lookup_entry(java.lang.String accelPath,
                                                              int key)

### gtk_accel_map_change_entry

    protected static final boolean gtk_accel_map_change_entry(java.lang.String accelPath,
                                                              int accekKey,
                                                              int accelMods,
                                                              boolean replace)

### gtk_accel_map_load

    protected static final void gtk_accel_map_load(java.lang.String fileName)

### gtk_accel_map_save

    protected static final void gtk_accel_map_save(java.lang.String fileName)

### gtk_accel_map_load_fd

    protected static final void gtk_accel_map_load_fd(int fd)

### gtk_accel_map_save_fd

    protected static final void gtk_accel_map_save_fd(int fd)

### gtk_accel_map_lock_path

    protected static final void gtk_accel_map_lock_path(java.lang.String path)

### gtk_accel_map_unlock_path

    protected static final void gtk_accel_map_unlock_path(java.lang.String path)

### gtk_accel_map_add_filter

    protected static final void gtk_accel_map_add_filter(java.lang.String filterPattern)